org.apache.jmeter.protocol.http.control

## Class StaticHost

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.control.StaticHost

- All Implemented Interfaces:
    Serializable, Cloneable, Searchable, TestElement

      public class StaticHost
      extends AbstractTestElement
      implements Serializable

  Bean containing mapping from name to array of Addresses
  Since:
    3.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticHost()`
    `StaticHost(String name, String address)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `String` | `getName()` Get the name of this test element
    `void` | `setAddress(String address)`
    `void` | `setName(String name)` Associates a name with this element.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### StaticHost

          public StaticHost()

    - #### StaticHost

          public StaticHost(String name,
                            String address)

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Description copied from interface: `TestElement`
      Associates a name with this element.
      Specified by:
        `setName` in interface `TestElement`
      Overrides:
        `setName` in class `AbstractTestElement`
      Parameters:
        `name` - to be associated

    - #### getName

          public String getName()

      Description copied from interface: `TestElement`
      Get the name of this test element
      Specified by:
        `getName` in interface `TestElement`
      Overrides:
        `getName` in class `AbstractTestElement`
      Returns:
        name of this element

    - #### setAddress

          public void setAddress(String address)

    - #### getAddress

          public String getAddress()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.